import request from '@/utils/request'

// 能源采购管理列表
export function purchaseManage(query) {
    return request({
        url: '/energy/monitoring/purchase',
        method: 'get',
        params: query
    })
}

// 能源采购管理列表
export function delPurchaseManage(query) {
    return request({
        url: '/energy/monitoring/deletePurchase',
        method: 'get',
        params: query
    })
}

// 能源采购管理新增
export function addPurchaseManage(data) {
    return request({
        url: '/energy/monitoring/addPurchase',
        method: 'post',
        data
    })
}

// 能源采购管理编辑
export function putPurchaseManage(data) {
    return request({
        url: '/energy/monitoring/updatePurchase',
        method: 'post',
        data
    })
}

// 能源采购管理 能源名称下拉
export function getPurchaseManageNameList(query) {
    return request({
        url: '/energy/findPurchasing',
        method: 'get',
        params: query
    })
}

// 楼栋能源监控图表
export function getEnergyynlx(query) {
    return request({
        url: '/energy/getEnergyynlx',
        method: 'get',
        params: query
    })
}
